# PluginCodec_AudioFormat< NAME > Class Template Reference

`#include <opalplugin.hpp>`

Inheritance diagram for PluginCodec_AudioFormat< NAME >:

[legend]
Collaboration diagram for PluginCodec_AudioFormat< NAME >:
[legend]

## Public Types

typedef PluginCodec_MediaFormat< NAME > | Parent
typedef Parent::OptionsTable | OptionsTable

## Public Member Functions

| PluginCodec_AudioFormat (const char *formatName, const char *payloadName, const char *description, unsigned samplesPerFrame, unsigned bytesPerFrame, unsigned sampleRate, OptionsTable options)
__inline unsigned | GetSamplesPerFrame () const
__inline unsigned | GetBytesPerFrame () const
__inline unsigned | GetSampleRate () const
__inline unsigned | GetFrameTime () const
__inline unsigned | GetRecommendedFramesPerPacket () const
__inline unsigned | GetMaxFramesPerPacket () const

## Protected Attributes

unsigned | m_samplesPerFrame
unsigned | m_bytesPerFrame
unsigned | m_sampleRate
unsigned | m_recommendedFramesPerPacket
unsigned | m_maxFramesPerPacket

### template<typename NAME>
class PluginCodec_AudioFormat< NAME >

## Member Typedef Documentation

template<typename NAME>

typedef Parent::OptionsTable PluginCodec_AudioFormat< NAME >::OptionsTable

Reimplemented from PluginCodec_MediaFormat< NAME >.

template<typename NAME>

typedef PluginCodec_MediaFormat<NAME> PluginCodec_AudioFormat< NAME >::Parent

## Constructor & Destructor Documentation

template<typename NAME>

PluginCodec_AudioFormat< NAME >::PluginCodec_AudioFormat | ( | const char * | formatName,
|  | const char * | payloadName,
|  | const char * | description,
|  | unsigned | samplesPerFrame,
|  | unsigned | bytesPerFrame,
|  | unsigned | sampleRate,
|  | OptionsTable | options |
| ) |  |  | `[inline]`

## Member Function Documentation

template<typename NAME>

__inline unsigned PluginCodec_AudioFormat< NAME >::GetBytesPerFrame | ( |  | ) | const`[inline]`

template<typename NAME>

__inline unsigned PluginCodec_AudioFormat< NAME >::GetFrameTime | ( |  | ) | const`[inline]`

template<typename NAME>

__inline unsigned PluginCodec_AudioFormat< NAME >::GetMaxFramesPerPacket | ( |  | ) | const`[inline]`

template<typename NAME>

__inline unsigned PluginCodec_AudioFormat< NAME >::GetRecommendedFramesPerPacket | ( |  | ) | const`[inline]`

template<typename NAME>

__inline unsigned PluginCodec_AudioFormat< NAME >::GetSampleRate | ( |  | ) | const`[inline]`

template<typename NAME>

__inline unsigned PluginCodec_AudioFormat< NAME >::GetSamplesPerFrame | ( |  | ) | const`[inline]`

## Field Documentation

template<typename NAME>

unsigned PluginCodec_AudioFormat< NAME >::m_bytesPerFrame `[protected]`

template<typename NAME>

unsigned PluginCodec_AudioFormat< NAME >::m_maxFramesPerPacket `[protected]`

template<typename NAME>

unsigned PluginCodec_AudioFormat< NAME >::m_recommendedFramesPerPacket `[protected]`

template<typename NAME>

unsigned PluginCodec_AudioFormat< NAME >::m_sampleRate `[protected]`

template<typename NAME>

unsigned PluginCodec_AudioFormat< NAME >::m_samplesPerFrame `[protected]`

The documentation for this class was generated from the following file:

- opalplugin.hpp